<mat-drawer-container class="example-container" hasBackdrop="true">
    <mat-drawer #drawer mode="over">
      <div class="side-menu">
        <ul class="side-menu-ul mt-3">
          <li>
            <button mat-button [matMenuTriggerFor]="menu" class="sidenav-menu-btn">
            <div class="row">
              <div class="col-3 d-flex align-items-center">
                <div class="w-100 d-flex justify-content-end">
                  <mat-icon aria-hidden="false" aria-label="Example home icon">home</mat-icon>

                </div>
              </div>
              <div class="col-7 d-flex align-items-center">
               <div class="text-left f-15">Home</div>
              </div>
              <div class="col-2 d-flex align-items-center">
                <mat-icon aria-hidden="false" aria-label="Example home icon">chevron_right</mat-icon>
              </div>
            </div>
          </button>
            <mat-menu #menu="matMenu" xPosition="before" class="matmenu">
              <button mat-menu-item [routerLink]="['/']" routerLinkActive="router-link-active" >Dashboard</button>
              <button mat-menu-item>Events</button>
              <button mat-menu-item>Logs</button>
            </mat-menu>
          </li>
          <li>
            <button mat-button [matMenuTriggerFor]="registry" class="sidenav-menu-btn">
            <div class="row">
              <div class="col-3 d-flex align-items-center">
                <div class="w-100 d-flex justify-content-end">
                  <mat-icon aria-hidden="false" aria-label="Example home icon">api</mat-icon>

                </div>
              </div>
              <div class="col-7 d-flex align-items-center">
               <div class="text-left f-15">Services Registry</div>
              </div>
              <div class="col-2 d-flex align-items-center">
                <mat-icon aria-hidden="false" aria-label="Example home icon">chevron_right</mat-icon>
              </div>
            </div>
          </button>
            <mat-menu #registry="matMenu" xPosition="before" class="matmenu">
              <button mat-menu-item [routerLink]="['/services']" routerLinkActive="router-link-active" >Service Master</button>
              <button mat-menu-item>Service 2</button>
              <button mat-menu-item>Service 3</button>
            </mat-menu>
          </li>
          <li>
            <button mat-button [matMenuTriggerFor]="apps" class="sidenav-menu-btn">
            <div class="row">
              <div class="col-3 d-flex align-items-center">
                <div class="w-100 d-flex justify-content-end">
                  <mat-icon aria-hidden="false" aria-label="Example home icon">apps</mat-icon>

                </div>
              </div>
              <div class="col-7 d-flex align-items-center">
               <div class="text-left f-15">Apps</div>
              </div>
              <div class="col-2 d-flex align-items-center">
                <mat-icon aria-hidden="false" aria-label="Example home icon">chevron_right</mat-icon>
              </div>
            </div>
          </button>
            <mat-menu #apps="matMenu" xPosition="before" class="matmenu">
              <button mat-menu-item>App 1</button>
              <button mat-menu-item>App 2</button>
              <button mat-menu-item>App 3</button>
            </mat-menu>
          </li>
 
 
        </ul>
      </div> 
          
    </mat-drawer>
    <mat-drawer-content>
        <ng-content></ng-content>
    </mat-drawer-content>
  </mat-drawer-container>
